## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanCompiledStylesheetDefault Class Reference

Inheritance diagram for XalanCompiledStylesheetDefault:

[legend]
Collaboration diagram for XalanCompiledStylesheetDefault:

[legend]
List of all members.

## Public Member Functions

- XalanCompiledStylesheetDefault (MemoryManagerType &theManager, const XSLTInputSource &theStylesheetSource, XSLTEngineImpl &theProcessor, ErrorHandlerType *theErrorHandler=0, EntityResolverType *theEntityResolver=0)
- virtual ~XalanCompiledStylesheetDefault ()
- virtual const StylesheetRoot * getStylesheetRoot () const

## Static Public Member Functions

- XalanCompiledStylesheetDefault * create (MemoryManagerType &theManager, const XSLTInputSource &theStylesheetSource, XSLTEngineImpl &theProcessor, ErrorHandlerType *theErrorHandler=0, EntityResolverType *theEntityResolver=0)

## Constructor & Destructor Documentation

XalanCompiledStylesheetDefault::XalanCompiledStylesheetDefault | ( | MemoryManagerType & | theManager,
|  | const XSLTInputSource & | theStylesheetSource,
|  | XSLTEngineImpl & | theProcessor,
|  | ErrorHandlerType * | theErrorHandler = 0,
|  | EntityResolverType * | theEntityResolver = 0
| ) |

virtual XalanCompiledStylesheetDefault::~XalanCompiledStylesheetDefault | ( |  | ) | `[virtual]`

## Member Function Documentation

XalanCompiledStylesheetDefault* XalanCompiledStylesheetDefault::create | ( | MemoryManagerType & | theManager,
|  | const XSLTInputSource & | theStylesheetSource,
|  | XSLTEngineImpl & | theProcessor,
|  | ErrorHandlerType * | theErrorHandler = 0,
|  | EntityResolverType * | theEntityResolver = 0
| ) | `[static]`

virtual const StylesheetRoot* XalanCompiledStylesheetDefault::getStylesheetRoot | ( |  | ) | const`[virtual]`

| Implements XalanCompiledStylesheet.

The documentation for this class was generated from the following file:

- XalanCompiledStylesheetDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.